Package org.eclipse.microprofile.openapi.tck.utils

## Class TCKMatchers

- java.lang.Object
- - org.eclipse.microprofile.openapi.tck.utils.TCKMatchers

    public final class TCKMatchers
    extends Object

### Method Summary

All Methods Static Methods Concrete Methods
`static org.hamcrest.Matcher<Number>` `comparesEqualToNumber​(Number expected)` Creates a matcher of `Comparable<Number>` that matches when the examined number is equal to the specified value, as reported by the `compareTo` method of the `BigDecimal`s created by passing both Number values' `doubleValue` to `BigDecimal.valueOf(double)`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### comparesEqualToNumber

    public static org.hamcrest.Matcher<Number> comparesEqualToNumber​(Number expected)

Creates a matcher of `Comparable<Number>` that matches when the examined number is equal to the specified value, as reported by the `compareTo` method of the `BigDecimal`s created by passing both Number values' `doubleValue` to `BigDecimal.valueOf(double)`.

For example:

     assertThat(1, comparesEqualToNumber(1))

Parameters:
  `expected` - the value which, when passed to the compareTo method of the examined object following conversion to BigDecimal, should return zero
Returns:
  a matcher to test the equality of the examined Number